---@meta lyaml.implicit

--------------------------------------------------------------------------------
-- LYAML implicit scalar parsing module
--------------------------------------------------------------------------------

---@class lyaml_implicit*
---@type lyaml_implicit*
local M = {}

--- Parse YAML null scalar.
---@param value string scalar literal
---@return lyaml_null*? value null Sentinel value
function M.null(value) end

--- Parse YAML bool scalar.
---@param value string scalar literal
---@return boolean? value Boolean value
function M.bool(value) end

--- Parses a binary integer scalar.
---@param value string scalar literal
---@return integer? value integer value
function M.binary(value) end

--- Parses an octal integer scalar.
---@param value string scalar literal
---@return integer? value integer value
function M.octal(value) end

--- Parses a decimal integer scalar.
---@param value string scalar literal
---@return integer? value integer value
function M.decimal(value) end

--- Parses a hexadecimal integer scalar.
---@param value string scalar literal
---@return integer? value integer value
function M.hexadecimal(value) end

--- Parses a sexagesimal integer scalar.
---@param value string scalar literal
---@return integer? value integer value
function M.sexagesimal(value) end

--- Parse NaN scalars.
---@param value string scalar literal
---@return number? value NaN
function M.nan(value) end

--- Analyze positive and negative infinite scalars.
---@param value string scalar literal
---@return number? value infinite value
function M.inf(value) end

--- Parse floating point scalars.
---@param value string scalar literal
---@return number? value floating point value
function M.float(value) end

--- Parses a sexagesimal floating-point scalar.
---@param value string scalar literal
---@return number? value floating point value
function M.sexfloat(value) end

return M
